Skip to main content
GET
Fetch an Order

Authorizations

Authorization
string
header
required

Use your Razorpay Key ID as the username and Key Secret as the password.

Path Parameters

id
string
required

The unique identifier of the order to retrieve.

Example:

"order_IluGWxBm9U8zJ8"

Response

The order details.

A Razorpay Order object representing a payment order.

id
string

Unique identifier for the order.

Example:

"order_IluGWxBm9U8zJ8"

entity
string

Entity type, always order for order objects.

Example:

"order"

amount
integer

The order amount in the smallest currency sub-unit (e.g., paise for INR). For example, 50000 represents ₹500.

Example:

50000

amount_paid
integer

The amount paid against the order, in the smallest currency sub-unit.

Example:

0

amount_due
integer

The remaining amount to be paid against the order, in the smallest currency sub-unit.

Example:

50000

currency
string

The ISO 4217 currency code for the order.

Example:

"INR"

receipt
string

A unique receipt number provided by the merchant for internal reference.

Example:

"receipt_1001"

status
enum<string>

The current status of the order.

Available options:
created,
attempted,
paid
Example:

"created"

attempts
integer

The number of payment attempts made against this order.

Example:

0

notes
object

A key-value store of custom metadata to attach to the order. Values must be strings.

Example:
created_at
integer

Unix timestamp (in seconds) at which the order was created.

Example:

1595491008